<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <!-- OJO: DEBE IR CON h:head y h:body PORQUE SI NO ES ASÍ GENERA UN ERROR -->
        <h:head>
        </h:head>
        <h:body>

            <h3>Si un selectItem no tiene definido el valor, este es null</h3>
            <h:form>
                <p:messages id="msgs" showDetail="false" globalOnly="false" />
                <h:selectOneMenu id="selectOneMenu"
                                 label="selection"
                                 value="#{dummyMB.selectOneStringValue}"
                                 required="false">
                    <f:selectItem itemLabel="Seleccionar..." />
                    <f:selectItems value="#{general.siNo}" />
                </h:selectOneMenu>

                <p:commandButton value="dele"
                                 action="#{dummyMB.printSelectOneSelection}"
                                 />
            </h:form>


        </h:body>
    </f:view>
</html>
